Page MenuHomeFreeBSD

ipfw nat64 improve prefix length checks
ClosedPublic

Authored by 2khramtsov_gmail.com on Jul 19 2020, 9:41 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jan 28, 1:00 AM
Unknown Object (File)
Thu, Jan 12, 5:59 PM
Unknown Object (File)
Sun, Jan 8, 1:57 AM
Unknown Object (File)
Jan 5 2023, 3:45 PM
Unknown Object (File)
Dec 31 2022, 11:49 PM
Unknown Object (File)
Dec 15 2022, 4:32 PM
Unknown Object (File)
Nov 28 2022, 12:51 PM

Details

Summary

Improve prefix length checks in nat64clat and nat64stl.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Be consistent with other messages.
Sorry for notification spam.

2khramtsov_gmail.com retitled this revision from ipfw nat64clat fix segfault in clat prefix check to ipfw nat64clat fix segfault.Jul 19 2020, 11:29 PM
2khramtsov_gmail.com edited the summary of this revision. (Show Details)
2khramtsov_gmail.com retitled this revision from ipfw nat64clat fix segfault to ipfw nat64clat fix prefix length check.Jul 22 2020, 2:39 PM
2khramtsov_gmail.com edited the summary of this revision. (Show Details)
2khramtsov_gmail.com edited the test plan for this revision. (Show Details)
2khramtsov_gmail.com added a reviewer: ae.
2khramtsov_gmail.com set the repository for this revision to rS FreeBSD src repository - subversion.
2khramtsov_gmail.com removed a subscriber: imp.

Same issue exists in stl instance. Could you please fix both of them in one hit?

2khramtsov_gmail.com retitled this revision from ipfw nat64clat fix prefix length check to ipfw nat64 improve prefix length checks.
2khramtsov_gmail.com edited the summary of this revision. (Show Details)

sure

This revision was not accepted when it landed; it landed in state Needs Review.Aug 5 2020, 11:27 AM
This revision was automatically updated to reflect the committed changes.